org.apache.ignite.internal.visor.query

## Class VisorQueryArg

- java.lang.Object
- - org.apache.ignite.internal.visor.query.VisorQueryArg

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  VisorQueryArgV2

    public class VisorQueryArg
    extends Object
    implements Serializable

Arguments for `VisorQueryTask`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorQueryArg(String cacheName, String qryTxt, boolean local, int pageSize)`

### Method Summary

Methods
`String` `cacheName()`
`boolean` `local()`
`int` `pageSize()`
`String` `queryTxt()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorQueryArg

    public VisorQueryArg(String cacheName,
                 String qryTxt,
                 boolean local,
                 int pageSize)

Parameters:
  `cacheName` - Cache name for query.
  `qryTxt` - Query text.
  `local` - Flag whether to execute query locally.
  `pageSize` - Result batch size.

### Method Detail

#### cacheName

    public String cacheName()

Returns:
  Cache name.

#### queryTxt

    public String queryTxt()

Returns:
  Query txt.

#### local

    public boolean local()

Returns:
  `true` if query should be executed locally.

#### pageSize

    public int pageSize()

Returns:
  Page size.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017